---
title: ConstantSourceNode()
slug: Web/API/ConstantSourceNode/ConstantSourceNode
tags:
  - API
  - Audio
  - AudioNode
  - ConstantSourceNode
  - Constructor
  - Reference
  - Web Audio API
---
<div>{{APIRef("Web Audio API")}}</div>

<p>The <code><strong>ConstantSourceNode()</strong></code> constructor creates a new {{domxref("ConstantSourceNode")}} object instance, representing an audio source which constantly outputs samples whose values are always the same.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>constantSourceNode</em> = new ConstantSourceNode(<em>context</em>, <em>options</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>context</code></dt>
 <dd>An {{domxref("AudioContext")}} representing the audio context you want the node to be associated with.</dd>
 <dt><code>options</code></dt>
 <dd>A <code>ConstantSourceOptions</code> dictionary object defining the properties you want the <code>ConstantSourceNode</code> to have:
 <ul>
  <li><code>offset</code>: A read-only {{domxref("AudioParam")}} specifying the constant value generated by the source. The default is 1.0. The normal range is -1.0 to 1.0, but the value can be anywhere in the range from <code>-Infinity</code> to <code>+Infinity</code>.</li>
 </ul>
 </dd>
</dl>

<h2 id="Example">Example</h2>

<p>In this example, an audio context is created, then a <code>ConstantSourceNode</code> is established with its <code>offset</code> initialized to 0.5.</p>

<pre class="brush: js">let audioContext = new AudioContext();

let myConstantSource = new ConstantSourceNode(audioContext, { offset: 0.5 });</pre>

<div class="note">
<p><strong>Note</strong>: The new <code>ConstantSourceNode</code> created by the constructor has a <code><a href="/en-US/docs/Web/API/AudioNode/channelCount">channelCount</a></code> of 2.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API','#dom-constantsourcenode-constantsourcenode','ConstantSourceNode: ConstantSourceNode')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.ConstantSourceNode.ConstantSourceNode")}}</p>
